#include "conversationitemwidget.h"
#include "ui_conversationitemwidget.h"
#include "../helpers/conversationslisthelper.h"
#include "../utils/timeutils.h"

ConversationItemWidget::ConversationItemWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ConversationItemWidget)
{
    ui->setupUi(this);
}

ConversationItemWidget::~ConversationItemWidget()
{
    delete ui;
}

void ConversationItemWidget::setConversation(const Conversation &conv, const UsersList &list)
{
    ui->nameLabel->setText(ConversationsListHelper::getConversationDisplayName(conv, list));
    QFont font = ui->nameLabel->font();
    font.setBold(!conv.sawLastMessage());
    ui->nameLabel->setFont(font);

    if(conv.members().size() == 1)
        ui->numberMembersLabel->setText(tr("1 member"));
    else
        ui->numberMembersLabel->setText(tr("%1 members").arg(conv.members().size()));

    ui->lastActivityLabel->setText(TimeUtils::TimeDiffToString(conv.lastActive()));
}
