/**
 * Conversation item widget
 *
 * Contains information about a single conversation
 *
 * @author Pierre HUBERT
 */
#ifndef CONVERSATIONITEMWIDGET_H
#define CONVERSATIONITEMWIDGET_H

#include <QWidget>

namespace Ui {
class ConversationItemWidget;
}

class Conversation;
class User;
class UsersList;

class ConversationItemWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ConversationItemWidget(QWidget *parent = nullptr);
    ~ConversationItemWidget();

    /**
     * Apply a conversation to the widget
     *
     * @param conv Information about the conversation to apply
     * @param list Information about potential users of the conversation
     */
    void setConversation(const Conversation &conv, const UsersList &list);

private:
    Ui::ConversationItemWidget *ui;
};

#endif // CONVERSATIONITEMWIDGET_H
